import { __decorate } from "tslib";
import { injectable } from 'inversify';
/**
 * Number Range Empathy filter mapper.
 *
 * @public
 */
var EmpathyNumberRangeFilterMapper = /** @class */ (function () {
    function EmpathyNumberRangeFilterMapper() {
    }
    EmpathyNumberRangeFilterMapper.prototype.map = function (rawFilter, filter, context) {
        var _a = rawFilter.value.split(':'), min = _a[0], max = _a[1];
        var id = filter.facetId + ":" + (min || '*') + " TO " + (max || '*');
        return Object.assign(filter, {
            id: id,
            modelName: 'NumberRangeFilter',
            range: {
                min: Number.parseFloat(min) || null,
                max: Number.parseFloat(max) || null
            }
        });
    };
    EmpathyNumberRangeFilterMapper = __decorate([
        injectable()
    ], EmpathyNumberRangeFilterMapper);
    return EmpathyNumberRangeFilterMapper;
}());
export { EmpathyNumberRangeFilterMapper };
//# sourceMappingURL=empathy-number-range-filter.mapper.js.map